/**
 * 
 */
package org.gcube.accounting.datamodel.implementations;

import org.gcube.accounting.datamodel.validators.ValidIP;
import org.gcube.accounting.exception.InvalidValueException;
import org.gcube.common.validator.annotations.NotEmpty;

/**
 * @author Luca Frosini (ISTI - CNR) http://www.lucafrosini.com/
 *
 */
public class StorageUsageRecord extends StorageStatusUsageRecord {

	/**
	 * Generated Serial Version UID
	 */
	private static final long serialVersionUID = 1381025822586583326L;

	@NotEmpty
	public static final String OBJECT_URI = "objectURI";
	@NotEmpty
	public static final String OPERATION_TYPE = "operationType";
	@ValidIP
	public static final String CALLER_IP = "callerIP";

	
	public StorageUsageRecord(){
		super();
	}
	
	public String getObjectURI() {
		return (String) this.resourceSpecificProperties.get(OBJECT_URI);
	}

	public void setObjectURI(String objectURI) throws InvalidValueException {
		setResourceSpecificProperty(OBJECT_URI, objectURI);
	}
	
	public String getOperationType() {
		return (String) this.resourceSpecificProperties.get(OPERATION_TYPE);
	}

	public void setOperationType(String operationType) throws InvalidValueException {
		setResourceSpecificProperty(OPERATION_TYPE, operationType);
	}
	
	public String getCallerIP() {
		return (String) this.resourceSpecificProperties.get(CALLER_IP);
	}

	public void setCallerIP(String callerIP) throws InvalidValueException {
		setResourceSpecificProperty(CALLER_IP, callerIP);
	}

}
